summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xt/t5561-http-backend.sh6
-rw-r--r--t/test-lib.sh4
2 files changed, 10 insertions, 0 deletions
diff --git a/t/t5561-http-backend.sh b/t/t5561-http-backend.sh
index 6167563986..84a955770a 100755
--- a/t/t5561-http-backend.sh
+++ b/t/t5561-http-backend.sh
@@ -3,6 +3,12 @@
test_description='test git-http-backend'
. ./test-lib.sh
. "$TEST_DIRECTORY"/lib-httpd.sh
+
+if ! test_have_prereq CURL; then
+ skip_all='skipping raw http-backend tests, curl not available'
+ test_done
+fi
+
start_httpd
GET() {
diff --git a/t/test-lib.sh b/t/test-lib.sh
index 816e692391..db91875297 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -1187,3 +1187,7 @@ test_lazy_prereq LONG_IS_64BIT '
test_lazy_prereq TIME_IS_64BIT 'test-date is64bit'
test_lazy_prereq TIME_T_IS_64BIT 'test-date time_t-is64bit'
+
+test_lazy_prereq CURL '
+ curl --version
+'